'use strict';

const highlightJs = require('./highlight-js.cjs');
const prismJs = require('./prism-js.cjs');
const monaco = require('./monaco.cjs');
const vscode = require('./vscode.cjs');
require('jszip');
require('ofetch');
require('resolve-pathname');
require('json5');



exports.HIGHLIGHTJS_SCOPE_MAPPINGS = highlightJs.HIGHLIGHTJS_SCOPE_MAPPINGS;
exports.loadHljsThemeFromVSCodeTheme = highlightJs.loadHljsThemeFromVSCodeTheme;
exports.vscodeTheme2HljsTheme = highlightJs.vscodeTheme2HljsTheme;
exports.loadPrismjsThemeFromVSCodeTheme = prismJs.loadPrismjsThemeFromVSCodeTheme;
exports.vscodeTheme2PrismjsTheme = prismJs.vscodeTheme2PrismjsTheme;
exports.loadMonacoThemeFromVSCodeTheme = monaco.loadMonacoThemeFromVSCodeTheme;
exports.vscodeTheme2MonacoTheme = monaco.vscodeTheme2MonacoTheme;
exports.VSCODE_FALLBACK_EDITOR_BG = vscode.VSCODE_FALLBACK_EDITOR_BG;
exports.VSCODE_FALLBACK_EDITOR_FG = vscode.VSCODE_FALLBACK_EDITOR_FG;
exports.downloadVSCodeTheme = vscode.downloadVSCodeTheme;
exports.getDefaultThemeSetting = vscode.getDefaultThemeSetting;
exports.getThemeStyle = vscode.getThemeStyle;
exports.getVSCodeScopeStyle = vscode.getVSCodeScopeStyle;
exports.getVSCodeTokenStyle = vscode.getVSCodeTokenStyle;
exports.isDarkColor = vscode.isDarkColor;
exports.isDarkTheme = vscode.isDarkTheme;
exports.normalizeHexColor = vscode.normalizeHexColor;
exports.normalizeThemeName = vscode.normalizeThemeName;
exports.scoreScopeMatch = vscode.scoreScopeMatch;
